Package org.apache.solr.client.solrj.response

## Class LukeResponse

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase
    - - org.apache.solr.client.solrj.response.LukeResponse

All Implemented Interfaces:
  `Serializable`, `MapSerializable`, `MapWriter`, `NavigableObject`

    public class LukeResponse
    extends SolrResponseBase

This is an incomplete representation of the data returned from Luke

Since:
  solr 1.3
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `LukeResponse.FieldInfo`
`static class` `LukeResponse.FieldTypeInfo`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Constructor Summary

Constructors
`LukeResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,​LukeResponse.FieldInfo>` `getDynamicFieldInfo()`
`LukeResponse.FieldInfo` `getDynamicFieldInfo​(String f)`
`Map<String,​LukeResponse.FieldInfo>` `getFieldInfo()`
`LukeResponse.FieldInfo` `getFieldInfo​(String f)`
`Map<String,​LukeResponse.FieldTypeInfo>` `getFieldTypeInfo()`
`LukeResponse.FieldTypeInfo` `getFieldTypeInfo​(String name)`
`String` `getIndexDirectory()`
`NamedList<Object>` `getIndexInfo()`
`Integer` `getMaxDoc()`
`Integer` `getNumDocs()`
`Integer` `getNumTerms()`
`void` `setResponse​(NamedList<Object> res)`

### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, toString, writeMap`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`deserialize, getException, serializable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Constructor Detail

#### LukeResponse

    public LukeResponse()

### Method Detail

#### setResponse

    public void setResponse​(NamedList<Object> res)

Overrides:
  `setResponse` in class `SolrResponseBase`

#### getIndexDirectory

    public String getIndexDirectory()

#### getNumDocs

    public Integer getNumDocs()

#### getMaxDoc

    public Integer getMaxDoc()

#### getNumTerms

    public Integer getNumTerms()

#### getFieldTypeInfo

    public Map<String,​LukeResponse.FieldTypeInfo> getFieldTypeInfo()

#### getFieldTypeInfo

    public LukeResponse.FieldTypeInfo getFieldTypeInfo​(String name)

#### getIndexInfo

    public NamedList<Object> getIndexInfo()

#### getFieldInfo

    public Map<String,​LukeResponse.FieldInfo> getFieldInfo()

#### getFieldInfo

    public LukeResponse.FieldInfo getFieldInfo​(String f)

#### getDynamicFieldInfo

    public Map<String,​LukeResponse.FieldInfo> getDynamicFieldInfo()

#### getDynamicFieldInfo

    public LukeResponse.FieldInfo getDynamicFieldInfo​(String f)